<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright (c) 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";
include LOCALE.LOCALESET."admin/komentarze.php";
if (!checkrights("IP")) fallback("../index.php");

if (isset($article_id)) {
$query = "comment_item_id='$article_id' AND comment_type='A'";
$del_query = "article_id='$article_id'";
$url = "article_id=$article_id";
} else if (isset($news_id)) {
$query = "comment_item_id='$news_id' AND comment_type='N'";
$del_query = "news_id='$news_id'";
$url = "news_id=$news_id";
} else if (isset($photo_id)) {
$query = "comment_item_id='$photo_id' AND comment_type='P'";
$del_query = "photo_id='$photo_id'";
$url = "photo_id=$photo_id";
} else if (isset($page_id)) {
$query = "comment_item_id='$page_id' AND comment_type='C'";
$del_query = "page_id='$page_id'";
$url = "page_id=$page_id";
}
if (isset($_POST['save_comment'])) {
$comment_message = stripinput($_POST['comment_message']);
$result = dbquery("UPDATE ".$db_prefix."comments SET comment_message='$comment_message' WHERE comment_id='$comment_id'");
header("Location:komentarze.php?$url");
}
if (isset($step) && $step == "delete") {
$result = dbquery("DELETE FROM ".$db_prefix."comments WHERE comment_id='$comment_id'");
$count = dbrows(dbquery("SELECT * FROM ".$db_prefix."comments WHERE $query"));
if ($count == 0) $url = "";
header("Location:komentarze.php?$url");
}
$result = dbquery(
"SELECT ta.*, COUNT(comment_item_id) AS comment_count
FROM ".$db_prefix."articles
AS ta LEFT JOIN ".$db_prefix."comments
ON article_id=comment_item_id AND comment_type='A'
GROUP BY article_id HAVING COUNT(comment_item_id)!='0' ORDER BY article_datestamp DESC"
);
if (dbrows($result) != 0) {
$article_list = ""; $sel = "";
while ($data = dbarray($result)) {
if (isset($article_id)) $sel = ($article_id == $data['article_id'] ? " selected" : "");
$article_list .= "<option value='".$data['article_id']."'$sel>".$data['article_subject']." (".$data['comment_count'].")</option>\n";
}
}
$result = dbquery(
"SELECT tn.*, COUNT(comment_item_id) AS comment_count
FROM ".$db_prefix."news
AS tn LEFT JOIN ".$db_prefix."comments
ON news_id=comment_item_id AND comment_type='N'
GROUP BY news_id HAVING COUNT(comment_item_id)!='0' ORDER BY news_datestamp DESC");
if (dbrows($result) != 0) {
$news_list = ""; $sel = "";
while ($data = dbarray($result)) {
if (isset($news_id)) $sel = ($news_id == $data['news_id'] ? " selected" : "");
$news_list .= "<option value='".$data['news_id']."'$sel>".$data['news_subject']." (".$data['comment_count'].")</option>\n";
}
}
$result = dbquery("
SELECT tph.*, COUNT(comment_item_id) AS comment_count
FROM ".$db_prefix."photos
AS tph LEFT JOIN ".$db_prefix."comments
ON photo_id=comment_item_id AND comment_type='P'
GROUP BY photo_id HAVING COUNT(comment_item_id) != '0' ORDER BY photo_date DESC
");
if (dbrows($result) != 0) {
$photo_list = ""; $sel = "";
while ($data = dbarray($result)) {
if (isset($photo_id)) $sel = ($photo_id == $data['photo_id'] ? " selected" : "");
$photo_list .= "<option value='".$data['photo_id']."'$sel>".$data['photo_title']." (".$data['comment_count'].")</option>\n";
}
}
$result = dbquery("
SELECT tpa.*, COUNT(comment_item_id) AS comment_count
FROM ".$db_prefix."custom_pages
AS tpa LEFT JOIN ".$db_prefix."comments
ON page_id=comment_item_id AND comment_type='C'
GROUP BY page_id HAVING COUNT(comment_item_id) != '0'");
if (dbrows($result) != 0) {
$page_list = ""; $sel = "";
while ($data = dbarray($result)) {
if (isset($page_id)) $sel = ($page_id == $data['page_id'] ? " selected" : "");
$page_list .= "<option value='".$data['page_id']."'$sel>".$data['page_title']." (".$data['comment_count'].")</option>\n";
}
}
opentable($locale['400']);
echo "<table align='center' cellspacing='0' cellpadding='0' class='tbl'>\n";
if (isset($article_list)) {
echo "<form name='articles_form' method='post' action='".FUSION_SELF."'>
<tr>
<td>".$locale['402']."<br>
<select name='article_id' class='textbox' style='width:250px;'>
$article_list</select>
<input type='submit' name='view' value='".$locale['401']."' class='button'>
</td>
</tr>
</form>\n";
}
if (isset($news_list)) {
echo "<form name='news_form' method='post' action='".FUSION_SELF."'>
<tr>
<td>".$locale['403']."<br>
<select name='news_id' class='textbox' style='width:250px;'>
$news_list</select>
<input type='submit' name='view' value='".$locale['401']."' class='button'>
</td>
</tr>
</form>\n";
}
if (isset($photo_list)) {
echo "<form name='news_form' method='post' action='".FUSION_SELF."'>
<tr>
<td>".$locale['404']."<br>
<select name='photo_id' class='textbox' style='width:250px;'>
$photo_list</select>
<input type='submit' name='view' value='".$locale['401']."' class='button'>
</td>
</tr>
</form>\n";
}
if (isset($page_list)) {
echo "<form name='page_form' method='post' action='".FUSION_SELF."'>
<tr>
<td>".$locale['405']."<br>
<select name='page_id' class='textbox' style='width:250px;'>
$page_list</select>
<input type='submit' name='view' value='".$locale['401']."' class='button'>
</td>
</tr>
</form>\n";
}
echo "</table>\n";
closetable();
if (isset($step) && $step == "edit") {
	$result = dbquery("SELECT * FROM ".$db_prefix."comments WHERE comment_id='$comment_id'");
	if (!dbrows($result)) fallback("comments.php?ctype=$ctype&cid=$cid");
	$data = dbarray($result);
	$comment_smileys = $data['comment_smileys'] ? "" : " checked";
	tablebreak();
opentable($locale['420']);
echo "<form name='inputform' method='post' action='".FUSION_SELF."?comment_id=$comment_id&amp;ctype=$ctype&amp;cid=$cid'>
<table align='center' width='400' cellspacing='0' cellpadding='0' class='tbl'>
<tr>
<td align='center' class='tbl'><textarea name='comment_message' rows='5' class='textbox' style='width:400px'>".$data['comment_message']."</textarea><br>
<input type='button' value='b' class='button' style='font-weight:bold;width:25px;' onClick=\"addText('comment_message', '[b]', '[/b]');\">
<input type='button' value='i' class='button' style='font-style:italic;width:25px;' onClick=\"addText('comment_message', '[i]', '[/i]');\">
<input type='button' value='u' class='button' style='text-decoration:underline;width:25px;' onClick=\"addText('comment_message', '[u]', '[/u]');\">
<input type='button' value='url' class='button' style='width:30px;' onClick=\"addText('comment_message', '[url]', '[/url]');\">
<input type='button' value='mail' class='button' style='width:35px;' onClick=\"addText('comment_message', '[mail]', '[/mail]');\">
<input type='button' value='img' class='button' style='width:30px;' onClick=\"addText('comment_message', '[img]', '[/img]');\">
<input type='button' value='center' class='button' style='width:45px;' onClick=\"addText('comment_message', '[center]', '[/center]');\">
<input type='button' value='small' class='button' style='width:40px;' onClick=\"addText('comment_message', '[small]', '[/small]');\">
</tr>
<tr>
<td align='center' class='tbl'><br><br>
<input type='submit' name='save_comment' value='".$locale['421']."' class='button'></td>
</tr>
</table>
</form>\n";
closetable();
}
if (isset($article_id) || isset($news_id) || isset($page_id) || isset($photo_id)) {
tablebreak();
opentable($locale['430']);
$i = 0;
$result = dbquery(
"SELECT * FROM ".$db_prefix."comments LEFT JOIN ".$db_prefix."users
ON ".$db_prefix."comments.comment_name=".$db_prefix."users.user_id
WHERE $query ORDER BY comment_datestamp ASC"
);
echo "<table width='100%' align='center' cellpadding='0' cellspacing='1' class='tbl-border'>\n";
while ($data = dbarray($result)) {
echo "<tr>\n<td class='".($i% 2==0?"tbl1":"tbl2")."'><span class='comment-name'>";
if ($data['user_name']) {
echo "<a href='".BASEDIR."profile.php?lookup=".$data['comment_name']."' class='slink'>".$data['user_name']."</a>";
} else {
echo $data['comment_name'];
}
echo "</span>
<span class='small'>".$locale['041'].showdate("longdate", $data['comment_datestamp'])."</span><br>
".str_replace("<br>", "", parsesmileys($data['comment_message']))."<br>
<span class='small'><a href='".FUSION_SELF."?step=edit&comment_id=".$data['comment_id']."&$url' >".$locale['431']."</a> -
<a href='".FUSION_SELF."?step=delete&comment_id=".$data['comment_id']."&$url' onClick='return DeleteItem()'>".$locale['432']."</a> -
<b>".$locale['433'].$data['comment_ip']."</b></span>
</td>\n</tr>\n";
$i++;
}
echo "</table>\n";
closetable();
echo "<script type='text/javascript'>
function DeleteItem(){
return confirm('".$locale['434']."');
}
</script>\n";

}
echo "</td>\n";
require_once BASEDIR."footer.php";
?>
